> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-signals/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Get all signals that match the query parameter criteria. GET https://app.unleash-instance.example.com/api/admin/signals **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all signals that match the query parameter criteria. Reference: https://docs.getunleash.io/api/get-signals ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Query parameters - `from` (string, optional) — The starting date of the creation date range in IS:yyyy-MM-dd format - `to` (string, optional) — The ending date of the creation date range in IS:yyyy-MM-dd format - `offset` (string, optional, default: 0) — The number of features to skip when returning a page. By default it is set to 0. - `limit` (string, optional, default: 50) — The number of feature environments to return in a page. By default it is set to 50. The maximum is 1000. ## Response ### 200 #/components/schemas/signalQueryResponseSchema - `signals` (list of signalQuerySignalSchema, required) — The list of signals - `total` (integer, required) — The total count of signals ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### signalQuerySignalSchema An object describing a signal enriched with source data. - `id` (integer, required) — The signal's ID. Signal IDs are incrementing integers. In other words, a more recently created signal will always have a higher ID than an older one. - `createdAt` (string, required) — The date and time of when the signal was created. - `source` (enum, required) — The signal source type. Should be used along with `sourceId` to uniquely identify the resource that created this signal. - Allowed values: `signal-endpoint` - `sourceId` (integer, required) — The ID of the source that created this signal. Should be used along with `source` to uniquely identify the resource that created this signal. - `payload` (SignalQuerySignalSchemaPayload, optional) — The payload of the signal. - `tokenName` (string, optional, nullable) — The name of the token used to register this signal. - `sourceName` (string, optional, nullable) — The name of the source that registered this signal. - `sourceDescription` (string, optional, nullable) — A more detailed description of the source that registered this signal. ### SignalQuerySignalSchemaPayload The payload of the signal. ## Examples **Response** ```json { "signals": [ { "id": 7, "createdAt": "2023-12-27T13:37:00+01:00", "source": "signal-endpoint", "sourceId": 1337, "payload": { "cpu": 92, "memory": 85 }, "tokenName": "signal-endpoint-token", "sourceName": "cpu-over-90", "sourceDescription": "Notifies when CPU usage is over 90%." } ], "total": 842 } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signals" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signals'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signals" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signals") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/signals") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/signals', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signals"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signals")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```